aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorchriseth <chris@ethereum.org>2018-05-29 04:06:14 +0800
committerGitHub <noreply@github.com>2018-05-29 04:06:14 +0800
commit7778eaf03af7af3d99a5f3aae23dd5cdf6e5ccc9 (patch)
treee7cacfd1b34c487aaff53da1a0a16a5537a724fe /scripts
parentb686fbbb32aabf24a0de7c9144e421167ff251e1 (diff)
parent54f83acee971a72028dda5d79ba3d07c219eb2fd (diff)
downloaddexon-solidity-7778eaf03af7af3d99a5f3aae23dd5cdf6e5ccc9.tar.gz
dexon-solidity-7778eaf03af7af3d99a5f3aae23dd5cdf6e5ccc9.tar.zst
dexon-solidity-7778eaf03af7af3d99a5f3aae23dd5cdf6e5ccc9.zip
Merge pull request #4073 from alibabe/fix-jsoncpp-install
Install a different jsoncpp version on cirleci to ensure compilation never clashes with the internal one
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install_obsolete_jsoncpp_1_7_4.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/scripts/install_obsolete_jsoncpp_1_7_4.sh b/scripts/install_obsolete_jsoncpp_1_7_4.sh
new file mode 100755
index 00000000..0ae7b34c
--- /dev/null
+++ b/scripts/install_obsolete_jsoncpp_1_7_4.sh
@@ -0,0 +1,16 @@
+#!/usr/bin/env sh
+set -e
+
+TEMPDIR=$(mktemp -d)
+(
+ cd $TEMPDIR
+ wget https://github.com/open-source-parsers/jsoncpp/archive/1.7.4.tar.gz
+ tar xvzf "1.7.4.tar.gz"
+ cd "jsoncpp-1.7.4"
+ mkdir -p build
+ cd build
+ cmake -DARCHIVE_INSTALL_DIR=. -G "Unix Makefiles" ..
+ make
+ make install
+)
+rm -rf $TEMPDIR